﻿@model SSTC.Models.RegistryDTO

<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>

<script>

    function overtimeChangeEvent() {
        var inpObj = document.getElementById("overtimeChange");
        var div = document.getElementById("payOvertime");
        if (div.style.display === 'none' && (inpObj.value != "0" || inpObj.value != "00:00:00" || inpObj.value != "0:00:00")) {
            $("#payOvertime").toggle("slow");
        }
        if (div.style.display != 'none' && (inpObj.value === "0" || inpObj.value === "00:00:00" || inpObj.value === "0:00:00")) {
            $("#payOvertime").toggle("slow");
        }
        @Model.Registry.PayOvertime = false;
    }

    function categoryChangeEvent()
    {
        var div = document.getElementById("cat");

        $.ajax({
            url: "/User/_projects/",
            type: "GET",
            data: { currId: div.value }
        })
            .done(function (partialViewResult) {
                $("#partialProjects").html(partialViewResult);
            });
    }

    function projChangeEvent() {
        var lal = document.getElementById("pro");
        document.getElementById("Registry.Project.Id").value = lal.value;
        var al = document.getElementById("Registry.Project.Id");
    }

</script>

<div>
    <table class="table table-bordered table-condensed table-striped">
        <tr id=@("registyHeader")>
            <th><b>Kategoria </b></th>
            <th><b>Projekt</b></th>
            <th><b>Godziny </b></th>
            <th><b>Nadgodziny </b></th>
            <th><b>Opis: </b></th>
            <th><b>Status: </b></th>
            <th></th>
        </tr>
        @if (Model != null)
        {
            foreach (var el in Model.Registries)
            {
                <tr id=@("projectStatic" + el.Id)>
                    <td>
                        <span id=@("categoryStatic" + el.Id)>@el.Category.Name</span>
                    </td>
                    <td>
                        <span id=@("projectStatic" + el.Id)>@el.Project.Name</span>
                    </td>
                    <td>
                        <span id=@("timeStatic" + el.Id)>@el.NumOfHours</span>
                    </td>
                    <td>
                        <span id=@("overtimeStatic" + el.Id)>@el.NumOfOvertime</span>
                        @if (el.PayOvertime)
                        {
                            <span id=@("overtimeStatic" + el.Id)>Wypłać</span>
                        }
                        else
                        {
                            <span id=@("overtimeStatic" + el.Id)>Urlop</span>
                        }
                    </td>
                    <td>
                        <span id=@("descStatic" + el.Id)>@el.Comment</span>
                    </td>
                    <td style="@(el.Status == 0 ? "background-color:yellow" : el.Status == 2 ? "background-color:greenyellow" : el.Status== 3 ? "background-color:green" : "background-color:red")">
                        <span>@Enum.ToObject(typeof(SSTC.Enum.Enums.RegistryStatus), el.Status)</span>
                    </td>
                    <td class="text-right">
                    </td>
                </tr>
            }
        }
        @using (@Html.BeginForm("SendRegistry", "User", FormMethod.Post, Model.Registry))
        {
            <tr id=@("newProjectStatic")>
                <td>
                    <div id=@("category")>@Html.DropDownListFor(a => a.Registry.Category.Id, new SelectList(Model.Categories, "Id", "Name"), new { @id = "cat", @class = "form-control", @onchange = "categoryChangeEvent();" })</div>
                </td>
                <td id="partialProjects">
                    @Html.Partial("_projects", Model.DisplayProjects)
                </td>
                <td>
                    <input style="display:none" id="Registry.Project.Id" name="Registry.Project.Id" value="10"/>
                    <div id=@("time")>@Html.TextBoxFor(modelItem => Model.Registry.NumOfHours, new { @class = "form-control" })</div>
                </td>
                <td>
                    <div id=@("overtime")>@Html.TextBoxFor(modelItem => Model.Registry.NumOfOvertime, new { @id = "overtimeChange", @class = "form-control", @onchange = "overtimeChangeEvent();" })</div>
                    <div id=@("payOvertime") style="display:none">@Html.DropDownListFor(a => a.Registry.PayOvertime, new SelectList(Model.PayList, "Value", "Display"), new { @id = "payOvertimeChange", @class = "form-control" })</div>
                </td>
                <td>
                    <div id=@("desc")>@Html.TextBoxFor(modelItem => Model.Registry.Comment, new { @class = "form-control" })</div>
                </td>
                <td>
                    <div id=@("desc") style="display:none">@Html.TextBoxFor(modelItem => Model.Registry.RegDate, new { @value = Model.Registry.RegDate, @class = "form-control" })</div>
                </td>
                <td class="text-right">
                    <input class="btn btn-group btn-sm btn-primary edit" type="submit" value="Wyślij" />
                </td>
            </tr>
        }
    </table>
</div>


